NumberFormatter
Locale
NumberFormatter
PHP Manual

# NumberFormatter::setTextAttribute

# numfmt_set_text_attribute

(No version information available, might be only in CVS)

NumberFormatter::setTextAttribute -- numfmt_set_text_attribute — Set a text attribute

### Description

Object oriented style

bool NumberFormatter::setTextAttribute ( integer `$attr` , string `$value` )

Procedural style

bool numfmt_set_text_attribute ( NumberFormatter `$fmt` , integer `$attr` , string `$value` )

Set a text attribute associated with the formatter. An example of a text attribute is the suffix for positive numbers. If the formatter does not understand the attribute, `U_UNSUPPORTED_ERROR` error is produced. Rule-based formatters only understand `NumberFormatter::DEFAULT_RULESET` and `NumberFormatter::PUBLIC_RULESETS`.

### Parameters

`fmt`

  NumberFormatter object.

`attr`

  Attribute specifier - one of the text attribute constants.

`value`

  Text for the attribute value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 numfmt_set_text_attribute() example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
echo "Prefix: ".numfmt_get_text_attribute($fmt, NumberFormatter::NEGATIVE_PREFIX)."\n";
echo numfmt_format($fmt, -1234567.891234567890000)."\n";
numfmt_set_text_attribute($fmt, NumberFormatter::NEGATIVE_PREFIX, "MINUS");
echo "Prefix: ".numfmt_get_text_attribute($fmt, NumberFormatter::NEGATIVE_PREFIX)."\n";
echo numfmt_format($fmt, -1234567.891234567890000)."\n";
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
echo "Prefix: ".$fmt->getTextAttribute(NumberFormatter::NEGATIVE_PREFIX)."\n";
echo $fmt->format(-1234567.891234567890000)."\n";
$fmt->setTextAttribute(NumberFormatter::NEGATIVE_PREFIX, "MINUS");
echo "Prefix: ".$fmt->getTextAttribute(NumberFormatter::NEGATIVE_PREFIX)."\n";
echo $fmt->format(-1234567.891234567890000)."\n";
?>`

The above example will output:

    Prefix: -
    -1.234.567,891
    Prefix: MINUS
    MINUS1.234.567,891

### See Also

- numfmt_get_error_code()
- numfmt_get_text_attribute()
- numfmt_set_attribute()

NumberFormatter
Locale
NumberFormatter
PHP Manual